## ros-noetic-eus-qp 0.1.17

=== CMakeLists.txt ===
project(eus_qp)

cmake_minimum_required(VERSION 2.4.6)

find_package(catkin COMPONENTS cmake_modules rostest)
find_package(Eigen REQUIRED)

include_directories(${Eigen_INCLUDE_DIRS})
include_directories(${EIGEN_INCLUDE_DIRS})

include_directories(${PROJECT_SOURCE_DIR}/include)
include_directories(${PROJECT_SOURCE_DIR}/3rdparty)
include_directories(${PROJECT_SOURCE_DIR}/src)
include("./path-tricker/includes.txt")

set(EXECUTABLE_OUTPUT_PATH ${PROJECT_SOURCE_DIR}/bin)
set(LIBRARY_OUTPUT_PATH ${PROJECT_SOURCE_DIR}/lib)

catkin_package()

add_executable(euq_qp_test src/example.cpp)
add_library(eus_qp SHARED src/qp_lib.cpp)
add_rostest(test/test_contact_wrench_opt.test)
add_rostest(test/test_model_predictive_control.test)
add_rostest(test/test_cfr_cwc_calculation.test)
add_rostest(optmotiongen/test/test-sample-inverse-kinematics.test)
add_rostest(optmotiongen/test/test-sample-inverse-kinematics-statics.test)
add_rostest(optmotiongen/test/test-samplerobot.test)
add_rostest(optmotiongen/test/test-sample-torque-gradient.test)
add_rostest(optmotiongen/test/test-load-euslisp-files.test)

install(DIRECTORY euslisp test
  USE_SOURCE_PERMISSIONS
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(TARGETS eus_qp
  DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})
install(DIRECTORY optmotiongen/euslisp optmotiongen/scripts optmotiongen/test
  USE_SOURCE_PERMISSIONS
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/optmotiongen)

## ros-noetic-eus-qp 0.1.16

=== debian/changelog ===
ros-noetic-eus-qp (0.1.16-1buster) buster; urgency=high

  * check x::*display* is available before running graph-view (gnuplot) (#776 <https://github.com/jsk-ros-pkg/jsk_control/issues/776>)
  * ptmotiongen: no visualization / print if argument is nil. (#729 <https://github.com/jsk-ros-pkg/jsk_control/issues/729>)
  * [optmotiongen] inverse-kinematics for the discrete target (#728 <https://github.com/jsk-ros-pkg/jsk_control/issues/728>)
    
      * optmotiongen: add test of discrete-kinematics-configuration-task.
      * optmotiongen: update manual.pdf
      * optmotiongen: add manual for discrete target ik.
      * optmotiongen: add sample/sample-sqp-optimization-discrete-kinematics.l
      * optmotiongen: add sample function sample-arm-reach-ik-discrete-raw.
      * optmotiongen: add discrete-kinematics-configuration-task.l
      * optmotiongen: flatten for drawing kin coords list for support discrete-kinematics-configuration-task.
    
  * [optmotiongen] add sample to maximize contact force (#727 <https://github.com/jsk-ros-pkg/jsk_control/issues/727>)
    
      * optmotiongen: update manual.pdf
      * optmotiongen: add demo-jaxon-hand-force.l
      * optmotiongen: add :wrench-maximize-regular-vector to instant-config-task.
      * optmotiongen: add norm-regular-scale-coeff to instant-config-task.
      * optmotiongen: enable to set nil for print-status-interval and update-viewer-interval.
      * optmotiongen: add sqp-convergence-check and sqp-failure-callback.
      * optmotiongen: enable to set external-wrench-list.
    
  * [optmotiongen] visualize force fix (#722 <https://github.com/jsk-ros-pkg/jsk_control/issues/722>)
  * fix for test (#723 <https://github.com/jsk-ros-pkg/jsk_control/issues/723>)
    
      * optmotiongen: fix and reduce some tests because travis does not finish within 50 min.
      * optmotiongen: fix for visualize contact force in sample-sqp-optimization-trajectory.l.
      * optmotiongen: add functions for visualizing force and moment in playing motion
    
  * [eus_qp/optmotiongen] add target-posture-scale-list argument (#718 <https://github.com/jsk-ros-pkg/jsk_control/issues/718>)
    
      * optmotiongen: add target-posture-scale-list argument to instant-configuration-task :init method. support to change scale for each posture joint.
    
  * add demo rhp4b reach suitcase instant manip (#715 <https://github.com/jsk-ros-pkg/jsk_control/issues/715>)
  * [optmotiongen] fix gravity torque calculation (#714 <https://github.com/jsk-ros-pkg/jsk_control/issues/714>)
    
      * optmotiongen: update manual.pdf for gravity torque document.
      * optmotiongen: consider fixed link weight to calculate gravity torque. ToDo: The effect for centroid is not considered yet.
      * optmotiongen: update gravity-torque-jacobian calculation and document.
      * optmotiongen: add euslisp/demo/demo-rhp4b-torque-gradient.l
      * optmotiongen: test torque calculation with irtdyna result.
    
  * [optmotiongen] Rebase https://github.com/jsk-ros-pkg/jsk_control/pull/711 (#713 <https://github.com/jsk-ros-pkg/jsk_control/issues/713>)
    
      * optmotiongen: update manual.pdf for torque gradient update.
      * optmotiongen: update torque gradient calculation (get-contact-torque-jacobian function) and update document.
      * optmotiongen: add sample and test of torque gradient.
    
  * set adjacent regular scale as list format via :adjacent-regular-scale-list argument. add sample for that argument. (#708 <https://github.com/jsk-ros-pkg/jsk_control/issues/708>)
    
      * optmotiongen: add test of min/max angle of root virtual joint from ik wrapper.
      * optmotiongen: support min/max angle of root virtual joint from ik wrapper.
    
  * set adjacent regular scale as list format via :adjacent-regular-scale-list argument. add sample for that argument. (#708 <https://github.com/jsk-ros-pkg/jsk_control/issues/708>)
  * [eus_qp/optmotiongen] support min/max angle of root virtual joint (#709 <https://github.com/jsk-ros-pkg/jsk_control/issues/709>)
    
      * optmotiongen: add test of min/max angle of root virtual joint from ik wrapper.
      * optmotiongen: support min/max angle of root virtual joint from ik wrapper.
    
  * [eus_qp/optmotiongen] dynamic motion generation with bspline (#705 <https://github.com/jsk-ros-pkg/jsk_control/issues/705>)
    
      * [eus_qp/optmotiongen/manual] update manual.pdf for bspline-dynamic-configuration-task.
      * [eus_qp/optmotiongen/euslisp/contact-kinematics.l] add look-at-contact class and sample, test for that.
      * [eus_qp/optmotiongen] update sample and test for bspline-dynamic-configuration-task.
      * [eus_qp/optmotiongen/euslisp/demo,sample] move from demo to sample directory.
      * [eus_qp/optmotiongen/euslisp/sample,test] add option to supress graph generation for travis test.
      * [eus_qp/CMakeLists.txt] install optmotiongen directories.
      * [eus_qp/optmotiongen/euslisp/demo] rename hrp2 line face sample.
      * [eus_qp/optmotiongen/test] fix test name to use '_' instead of '-'. cf. http://wiki.ros.org/Names
      * [eus_qp/optmotiongen/euslisp/sample] use irtviewer :draw-floor and :floor-color methods instead of direct slots access.
      * [eus_qp/optmotiongen/test,euslisp/sample] add sample and test with irteus sample-robot.
      * [eus_qp/optmotiongen/doc] add README for bspline-dynamic-configuration-task.
      * [eus_qp/optmotiongen/euslisp/bspline-configuration-task.l] support delta-time argument in :generate-angle-vector-sequence.
      * [eus_qp/euslisp/contact-optimization.l] change drawing color from white to yellow for visibility in white background viewer.
      * [eus_qp/optmotiongen/manual] update manual for bspline-dynamic-configuration-task.
      * [eus_qp/optmotiongen] add bspline-dynamic-configuration-task and sample.
      * [eus_qp] add test-load-euslisp-files.
    


=== debian/control ===
Source: ros-noetic-eus-qp
Section: misc
Priority: optional
Maintainer: Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-noetic-catkin, ros-noetic-cmake-modules, ros-noetic-eus-qpoases <!nocheck>, ros-noetic-euslisp, ros-noetic-rostest
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-eus-qp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, ros-noetic-euslisp
Description: eus_qp is an interface of euslisp to solve qp problems with linear constraints.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-eus-qp//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install

## ros-noetic-eus-qp 0.1.17

=== debian/changelog ===
ros-noetic-eus-qp (0.1.17-2focal) focal; urgency=high



 -- Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>  Sat, 27 May 2023 15:00:00 -0000

ros-noetic-eus-qp (0.1.16-2focal) focal; urgency=high

  * check x::*display* is available before running graph-view (gnuplot) (#776 <https://github.com/jsk-ros-pkg/jsk_control/issues/776>)
  * ptmotiongen: no visualization / print if argument is nil. (#729 <https://github.com/jsk-ros-pkg/jsk_control/issues/729>)
  * [optmotiongen] inverse-kinematics for the discrete target (#728 <https://github.com/jsk-ros-pkg/jsk_control/issues/728>)
    
      * optmotiongen: add test of discrete-kinematics-configuration-task.
      * optmotiongen: update manual.pdf
      * optmotiongen: add manual for discrete target ik.
      * optmotiongen: add sample/sample-sqp-optimization-discrete-kinematics.l
      * optmotiongen: add sample function sample-arm-reach-ik-discrete-raw.
      * optmotiongen: add discrete-kinematics-configuration-task.l
      * optmotiongen: flatten for drawing kin coords list for support discrete-kinematics-configuration-task.
    
  * [optmotiongen] add sample to maximize contact force (#727 <https://github.com/jsk-ros-pkg/jsk_control/issues/727>)
    
      * optmotiongen: update manual.pdf
      * optmotiongen: add demo-jaxon-hand-force.l
      * optmotiongen: add :wrench-maximize-regular-vector to instant-config-task.
      * optmotiongen: add norm-regular-scale-coeff to instant-config-task.
      * optmotiongen: enable to set nil for print-status-interval and update-viewer-interval.
      * optmotiongen: add sqp-convergence-check and sqp-failure-callback.
      * optmotiongen: enable to set external-wrench-list.
    
  * [optmotiongen] visualize force fix (#722 <https://github.com/jsk-ros-pkg/jsk_control/issues/722>)
  * fix for test (#723 <https://github.com/jsk-ros-pkg/jsk_control/issues/723>)
    
      * optmotiongen: fix and reduce some tests because travis does not finish within 50 min.
      * optmotiongen: fix for visualize contact force in sample-sqp-optimization-trajectory.l.
      * optmotiongen: add functions for visualizing force and moment in playing motion
    
  * [eus_qp/optmotiongen] add target-posture-scale-list argument (#718 <https://github.com/jsk-ros-pkg/jsk_control/issues/718>)
    
      * optmotiongen: add target-posture-scale-list argument to instant-configuration-task :init method. support to change scale for each posture joint.
    
  * add demo rhp4b reach suitcase instant manip (#715 <https://github.com/jsk-ros-pkg/jsk_control/issues/715>)
  * [optmotiongen] fix gravity torque calculation (#714 <https://github.com/jsk-ros-pkg/jsk_control/issues/714>)
    
      * optmotiongen: update manual.pdf for gravity torque document.
      * optmotiongen: consider fixed link weight to calculate gravity torque. ToDo: The effect for centroid is not considered yet.
      * optmotiongen: update gravity-torque-jacobian calculation and document.
      * optmotiongen: add euslisp/demo/demo-rhp4b-torque-gradient.l
      * optmotiongen: test torque calculation with irtdyna result.
    
  * [optmotiongen] Rebase https://github.com/jsk-ros-pkg/jsk_control/pull/711 (#713 <https://github.com/jsk-ros-pkg/jsk_control/issues/713>)
    
      * optmotiongen: update manual.pdf for torque gradient update.
      * optmotiongen: update torque gradient calculation (get-contact-torque-jacobian function) and update document.
      * optmotiongen: add sample and test of torque gradient.
    
  * set adjacent regular scale as list format via :adjacent-regular-scale-list argument. add sample for that argument. (#708 <https://github.com/jsk-ros-pkg/jsk_control/issues/708>)
    
      * optmotiongen: add test of min/max angle of root virtual joint from ik wrapper.
      * optmotiongen: support min/max angle of root virtual joint from ik wrapper.
    
  * set adjacent regular scale as list format via :adjacent-regular-scale-list argument. add sample for that argument. (#708 <https://github.com/jsk-ros-pkg/jsk_control/issues/708>)
  * [eus_qp/optmotiongen] support min/max angle of root virtual joint (#709 <https://github.com/jsk-ros-pkg/jsk_control/issues/709>)
    
      * optmotiongen: add test of min/max angle of root virtual joint from ik wrapper.
      * optmotiongen: support min/max angle of root virtual joint from ik wrapper.
    
  * [eus_qp/optmotiongen] dynamic motion generation with bspline (#705 <https://github.com/jsk-ros-pkg/jsk_control/issues/705>)
    
      * [eus_qp/optmotiongen/manual] update manual.pdf for bspline-dynamic-configuration-task.
      * [eus_qp/optmotiongen/euslisp/contact-kinematics.l] add look-at-contact class and sample, test for that.
      * [eus_qp/optmotiongen] update sample and test for bspline-dynamic-configuration-task.
      * [eus_qp/optmotiongen/euslisp/demo,sample] move from demo to sample directory.
      * [eus_qp/optmotiongen/euslisp/sample,test] add option to supress graph generation for travis test.
      * [eus_qp/CMakeLists.txt] install optmotiongen directories.
      * [eus_qp/optmotiongen/euslisp/demo] rename hrp2 line face sample.
      * [eus_qp/optmotiongen/test] fix test name to use '_' instead of '-'. cf. http://wiki.ros.org/Names
      * [eus_qp/optmotiongen/euslisp/sample] use irtviewer :draw-floor and :floor-color methods instead of direct slots access.
      * [eus_qp/optmotiongen/test,euslisp/sample] add sample and test with irteus sample-robot.
      * [eus_qp/optmotiongen/doc] add README for bspline-dynamic-configuration-task.
      * [eus_qp/optmotiongen/euslisp/bspline-configuration-task.l] support delta-time argument in :generate-angle-vector-sequence.
      * [eus_qp/euslisp/contact-optimization.l] change drawing color from white to yellow for visibility in white background viewer.
      * [eus_qp/optmotiongen/manual] update manual for bspline-dynamic-configuration-task.
      * [eus_qp/optmotiongen] add bspline-dynamic-configuration-task and sample.
